Package ghidra.trace.database.bookmark

# Class DBTraceBookmarkType

java.lang.Object
ghidra.trace.database.bookmark.DBTraceBookmarkType

All Implemented Interfaces:
  `BookmarkType`, `TraceBookmarkType`

public class DBTraceBookmarkType extends Object implements TraceBookmarkType

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Collection<TraceBookmark>`
  `bookmarkView`
  `protected Color`
  `color`
  `protected Icon`
  `icon`
  `protected final int`
  `id`
  `protected final DBTraceBookmarkManager`
  `manager`
  `protected final String`
  `name`
  `protected int`
  `priority`

  ### Fields inherited from interface ghidra.program.model.listing.BookmarkType

  `ANALYSIS, ERROR, INFO, NOTE, WARNING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceBookmarkType(DBTraceBookmarkManager manager, String name)`
  `DBTraceBookmarkType(DBTraceBookmarkManager manager, String name, Icon icon, Color color, int priority)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `countBookmarks()`
  `Collection<TraceBookmark>`
  `getBookmarks()`
  `Collection<String>`
  `getCategories()`
  `Icon`
  `getIcon()`
  Returns Icon associated with this type or null if one has not been set by a plugin.
  `Color`
  `getMarkerColor()`
  Returns marker color associated with this type or null if one has not been set by a plugin.
  `int`
  `getMarkerPriority()`
  Returns marker priority associated with this type or -1 if one has not been set by a plugin.
  `int`
  `getTypeId()`
  Returns the id associated with this bookmark type.
  `String`
  `getTypeString()`
  Returns the type as a string.
  `boolean`
  `hasBookmarks()`
  Returns true if there is at least one bookmark defined for this type.
  `void`
  `setIcon(ImageIcon icon)`
  `void`
  `setMarkerColor(Color color)`
  `void`
  `setMarkerPriority(int priority)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### manager

    protected final DBTraceBookmarkManager manager

  - ### name

    protected final String name

  - ### icon

    protected Icon icon

  - ### color

    protected Color color

  - ### priority

    protected int priority

  - ### id

    protected final int id

  - ### bookmarkView

    protected final Collection<TraceBookmark> bookmarkView

- ## Constructor Details

  - ### DBTraceBookmarkType

    public DBTraceBookmarkType(DBTraceBookmarkManager manager, String name, Icon icon, Color color, int priority)

  - ### DBTraceBookmarkType

    public DBTraceBookmarkType(DBTraceBookmarkManager manager, String name)

- ## Method Details

  - ### getTypeString

    public String getTypeString()
    Description copied from interface: `BookmarkType`
    Returns the type as a string.
    Specified by:
      `getTypeString` in interface `BookmarkType`
    Returns:
      the type as a string.

  - ### getIcon

    public Icon getIcon()
    Description copied from interface: `BookmarkType`
    Returns Icon associated with this type or null if one has not been set by a plugin.
    Specified by:
      `getIcon` in interface `BookmarkType`
    Returns:
      the icon.

  - ### getMarkerColor

    public Color getMarkerColor()
    Description copied from interface: `BookmarkType`
    Returns marker color associated with this type or null if one has not been set by a plugin.
    Specified by:
      `getMarkerColor` in interface `BookmarkType`
    Returns:
      the color.

  - ### getMarkerPriority

    public int getMarkerPriority()
    Description copied from interface: `BookmarkType`
    Returns marker priority associated with this type or -1 if one has not been set by a plugin.
    Specified by:
      `getMarkerPriority` in interface `BookmarkType`
    Returns:
      the priority.

  - ### getTypeId

    public int getTypeId()
    Description copied from interface: `BookmarkType`
    Returns the id associated with this bookmark type.
    Specified by:
      `getTypeId` in interface `BookmarkType`
    Returns:
      the id associated with this bookmark type.

  - ### setIcon

    public void setIcon(ImageIcon icon)
    Specified by:
      `setIcon` in interface `TraceBookmarkType`

  - ### setMarkerColor

    public void setMarkerColor(Color color)
    Specified by:
      `setMarkerColor` in interface `TraceBookmarkType`

  - ### setMarkerPriority

    public void setMarkerPriority(int priority)
    Specified by:
      `setMarkerPriority` in interface `TraceBookmarkType`

  - ### getCategories

    public Collection<String> getCategories()
    Specified by:
      `getCategories` in interface `TraceBookmarkType`

  - ### hasBookmarks

    public boolean hasBookmarks()
    Description copied from interface: `BookmarkType`
    Returns true if there is at least one bookmark defined for this type.
    Specified by:
      `hasBookmarks` in interface `BookmarkType`
    Returns:
      true if there is at least one bookmark defined for this type.

  - ### countBookmarks

    public int countBookmarks()
    Specified by:
      `countBookmarks` in interface `TraceBookmarkType`

  - ### getBookmarks

    public Collection<TraceBookmark> getBookmarks()
    Specified by:
      `getBookmarks` in interface `TraceBookmarkType`